package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.bean.DynamicEnum;
import org.apache.commons.lang.StringEscapeUtils;
import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class DynamicCodeTrans extends UDF {


    public String evaluate(String code) {
        if (StringUtils.isBlank(code)) {
            return null;
        }
        DynamicEnum[] vv = DynamicEnum.values();
        Map<String, String> mm = Arrays.stream(vv).collect(Collectors.toMap(DynamicEnum::getTn, DynamicEnum::getFatherName, (k1, k2) -> k1));

        return mm.getOrDefault(code, null);
    }



    public static void main(String[] args) {
        DynamicCodeTrans j = new DynamicCodeTrans();
        System.out.println(j.evaluate("company_holder"));
        System.out.println(j.evaluate("company_finance"));

    }

}
